List all marketplace listings
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace-listings \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace-listings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace-listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"items": [
{
"product_id": "<string>",
"product_name": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"sku": "<string>",
"marketplace_id": "<string>",
"marketplace_name": "<string>",
"marketplace_slug": "<string>",
"status": "listed",
"marketplace_product_id": "<string>",
"marketplace_variant_id": "<string>",
"marketplace_item_id": "<string>",
"marketplace_item_sku": "<string>",
"marketplace_category": [
"<string>"
],
"marketplace_pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
],
"marketplace_attribute": [
{
"attribute_id": "<string>",
"attribute_value": "<string>"
}
],
"marketplace_promotion": {
"promotion_type": "discount",
"starts_at": "<string>",
"details": [
{
"discount_type": "percentage",
"discount_percent": 123,
"customer_group_id": "<string>",
"minimum_quantity": 1,
"maximum_quantity": 123,
"maximum_discount_amount": 123
}
],
"id": "<string>",
"expires_at": "<string>"
},
"marketplace_subscription": [
{
"subscription_plan": "<string>",
"billing_interval": 123,
"billing_frequency": "monthly",
"billing_limit": 123,
"billing_trial_days": 0,
"fulfill_separately": true,
"subscription_price": [
{
"suscription_price": 123,
"minimum_quantity": 1,
"customer_group_id": "<string>"
}
],
"subscription_plan_id": "<string>",
"order_interval": 123,
"order_frequency": "monthly",
"order_limit": 123
}
],
"sync_status": "success",
"last_synced_at": "2023-11-07T05:31:56Z",
"sync_error_message": "<string>",
"publication_status": "published",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}Catalog
List all marketplace listings
List all marketplace listings
GET
/
catalog
/
marketplace-listings
List all marketplace listings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
JSON object
Example:
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
Was this page helpful?
⌘I